        SUBROUTINE DB_ERRS ( ierrno, dburpt, iret )
C************************************************************************
C* DB_ERRS                                                              *
C*								        *
C* This subroutine writes an error message to the decoder log file.     *
C* The value of IERRNO will be used to choose which message to write.   *
C*								        *
C* DB_ERRS  ( IERRNO, DBURPT, IRET )                                    *
C*								        *
C* Input parameters:						        *
C*      IERRNO         INTEGER           Error message number           *
C*      DBURPT         CHAR*             Current raw report             *
C*                                                                      *
C* Output parameters:						        *
C*      IRET		INTEGER	         Return code                    *
C*                                         0 = Normal return            *
C*                                                                      *
C**                                                                     *
C* Log:								        *
C* R. Hollern/NCEP      12/99                                           *
C* C. Caruso Magee/NCEP 03/2000          remove print of bulletin header*
C************************************************************************
        INCLUDE 	'GEMPRM.PRM'
        INCLUDE 	'dbcmn.cmn'
C* 
        CHARACTER*(*)   dburpt
C------------------------------------------------------------------------
        iret = 0
        loglvl = 2
C
        CALL DC_WLOG ( loglvl, 'DB', ierrno, dburpt (1:59), ier )
C*
        RETURN
        END
