        SUBROUTINE DB_INIT ( iret )
C************************************************************************
C* DB_INIT                                                              *
C*                                                                      *
C* This subroutine initializes the interface values arrays and certain  *
C* report parameters to missing for a new report.  All initialized      *
C* values are in common.                                                *
C*                                                                      *
C* DB_INIT ( IRET )	       	                                        *
C*                                                                      *
C* Output parameters:                                                   *
C*	IRET            INTEGER         Return code                     *
C*				   	  0 = normal return 	        *
C*                                                                      *
C**                                                                     *
C* Log:							                *
C* R. Hollern/NCEP      12/99                                           *
C* C. Caruso Magee/NCEP 02/00    Initialize counter variable to 0       *
C* J. Ator/NCEP         01/02    Remove initialization of iuwind        *
C* C. Caruso Magee/NCEP 12/02    Add init of CURR.CMN variables rmrmv   *
C*                               and rdtcc, and init of multi-lev       *
C*                               counter nddc.                          *
C************************************************************************
        INCLUDE 	'GEMPRM.PRM'
        INCLUDE 	'dbcmn.cmn'
C-----------------------------------------------------------------------
        iret   = 0
C
	DO i = 1, NRIMN
	    rivals ( i ) = RMISSD
	END DO
C
	DO i = 1, NCIMN
	    civals ( i ) = ' '
	END DO
C
C*      Initialize CURR.CMN single-level parameters.
C*      (am initializing rpocm because it's part of CURR.CMN, even though
C*      it's not used by dcdrbu).
C*  
C
        rmrmv = RMISSD
        rpocm = RMISSD
        rdtcc = RMISSD
C
C*      Initialize the multi-level counters to 0.0 .
C
	rivals ( irndts ) = 0.
	rivals ( irnddc ) = 0.
C*
        RETURN
        END
